import { WecomConfig, WecomNotify } from './services/wecom';
import { LarkConfig, LarkNotify } from './services/lark';
import { DingConfig, DingNotify } from './services/ding';
export interface NotifyConfig {
    wecom?: WecomConfig;
    lark?: LarkConfig;
    ding?: DingConfig;
}
export interface NotifyInstance {
    wecom?: WecomNotify;
    lark?: LarkNotify;
    ding?: DingNotify;
}
export declare function createNotify(config: NotifyConfig): NotifyInstance;
export { WecomNotify, LarkNotify, DingNotify };
