import { RequestInit } from 'node-fetch';
export declare class NotifyBase {
    constructor();
    /**
     * @param  {string} url
     * @param  {RequestInit} options
     * @returns Promise
     */
    request(url: string, options: RequestInit): Promise<any>;
    /**
     * @param  {string} url
     * @param  {any} data
     * @returns Promise
     */
    requestPost(url: string, data: any): Promise<any>;
    /**
     * @param  {string} url
     * @returns Promise
     */
    requestGet(url: string): Promise<any>;
}
